﻿/*small desktops and horizontal tablets*/
@media only screen and (max-width: 1199px) {
    
}

/*extra small desktops and horizontal tablets*/
@media only screen and (max-width: 1099px) {
    
    
}

/*tablets and phones*/
@media only screen and (max-width: 991px) {

    body, html {
        overflow-y: auto;
    }

    #wrapper {
        border-top: none;
        height: auto;
        min-height: 100%;
    }

    #mainContent {
        height: 50vh;
    }

    .esri-view {
        height: 50vh;
        min-height: 0;
    }

    .toolbar {
        position: relative;
        left: 0;
        right: 0;
        padding: 0;
    }

    .sideBarHolder {
        position: relative;
        bottom: 0;
        z-index: unset;
        /*z-index: 100;
        bottom: 70px;*/
        /*max-height: 30vh;*/
        width: 100%;
        height: auto;
    }

    #sideBarContent {
        background-color: transparent;
        padding: 0;
        overflow: hidden;
        width: 100%;
    }


    #tcCardResp .tab-content {
        max-height: 30vh;
        overflow-y: auto;
    }

    /*#tcCardResp .nav-tabs {
        position: relative;
    }*/

    /*#tcCardResp .nav-item {
        display: inline-block;
        width: auto;
        margin: 0;
    }*/

    #searchRow {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        z-index: 200;
        margin:0;
        width: 100vw;
    }

    #searchDropdowns {
        background-color: #cfdce6;
        padding: 20px 40px;
        width: 100vw;
    }

    #statusColumn {

    }

    #status {
        padding: 0;
        position: absolute;
        top:80px;
        z-index: 50;
    }

    .statusBtn {
        margin:0;
        width: 100%;
        border-radius: 0;
    }

    #categoryDDL,
    #countyDDL,
    #campusDDL,
    #buildingDDL,
    #universityDDL,
    #floorDDL,
    #damDDL,
    #facilityDDL {
        display: block;
        width: calc(100vw - 40px);
        margin-bottom: 20px;
    }

    #mapControls {
        padding: 0 60px 0 0;
    }

    #mapControls .col-xs-3 {
        width: 20%;
        padding: 0;
    }

    .toolbarMapControl {
        color: #fff;
        font-size: 10px;
    }

    .toolbarMapControl:hover {
        background-color: #092940;
    }

    .toolbarMapControl i {
        display: block;
        color: #fff;
    }

    #cr_mapLayerHolder {
        top: 65px;
        right: 0;
        bottom: 0;
        z-index: 150;
    }

    #cr_mapLayerHolder .panel-group {
        max-height: calc(100vh - 280px);
    }

    .DDLTip {
        top: 25px;
    }

    #openseadragon1 {
        height: 400px;
    }
}

/*desktop only*/
@media only screen and (min-width: 992px) {
    .sideBarHolder {
        top: 70px;
    }
}

/*vertical tablet*/
@media only screen and (min-width: 768px) and (max-width: 991px) {
    /*#mapControls {
        position: absolute;
        top: 50px;
        right: 50px;
        z-index: 100;
    }*/
}

/*phone*/
@media only screen and (max-width: 767px) {
    #openseadragon1 {
        height: calc(vw * 0.67);
    }
}

/*small phone*/
@media only screen and (max-width: 400px) {

}


/*tablets and phones*/
/*@media only screen and (max-height: 767px) {

    body {
        overflow-y: auto;
        height: auto;
    }

    #wrapper {
        height: auto;
    }

    #mainContent {
        height: auto;
    }

    .esri-view {
        height: 50vh;
    }


    .sideBarHolder {
        position: relative;
        height: auto;
    }

    
    #tcCardResp .tab-content {
        max-height:unset;
    }

    #loginModal .modal-header {
        display: none;
    }

}*/

